org.apache.xmlbeans

## Interface UserType

All Known Implementing Classes:
  UserTypeImpl

    public interface UserType

The UserType class represents a mapping between an XML Schema QName and a custom Java class type. It is used during code generation to determine how to convert user-defined simple types to user defined Java classes.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getJavaName()` The class name the simple value will be converted to.
`QName` `getName()` The QName of the simple value that will be converted to a Java class.
`String` `getStaticHandler()` A class which provides public static methods to convert `SimpleValue` objects to and from the Java type specified by `getJavaName()`.

### Method Detail

#### getName

    QName getName()

The QName of the simple value that will be converted to a Java class.

#### getJavaName

    String getJavaName()

The class name the simple value will be converted to.

#### getStaticHandler

    String getStaticHandler()

A class which provides public static methods to convert `SimpleValue` objects to and from the Java type specified by `getJavaName()`.